Pipeline Tool crashes after pressing the build button

I have downloaded and installed the stand alone installer for the MonoGame Pipeline Tool for Mac on my iMac. In addition, I created a new MonoGame iPhone/iPad project in Xamarin Studio. After that(in the Pipeline tool), I added a .png file to Content.mgcb and changed the platform of Content to iOS. Finally, I clicked the build button. But then the Pipeline tool crashes every time.

Why is the Pipeline tool crashing every time I press the build button?

My crash report:

Process: Pipeline [8573]
Path: /Applications/Pipeline.app/Contents/MacOS/Pipeline
Identifier: com.monogame.pipeline
Version: 3.3 (1)
Code Type: X86 (Native)
Parent Process: ??? [1]
Responsible: Pipeline [8573]
User ID: 501

Date/Time: 2017-01-15 23:04:50.651 +0100
OS Version: Mac OS X 10.12.2 (16C67)
Report Version: 12
Anonymous UUID: 1D256428-2BEF-2EF8-E06A-A459D9869DF3

Time Awake Since Boot: 50000 seconds

System Integrity Protection: enabled

Crashed Thread: 0 tid_403 Dispatch queue: com.apple.main-thread

Exception Type: EXC_CRASH (SIGSEGV)
Exception Codes: 0x0000000000000000, 0x0000000000000000
Exception Note: EXC_CORPSE_NOTIFY

Termination Signal: Segmentation fault: 11
Termination Reason: Namespace SIGNAL, Code 0xb
Terminating Process: Pipeline [8573]

Application Specific Information:
System.ArgumentOutOfRangeException: Index was out of range. Must be non-negative and less than the size of the collection.
Parameter name: index

You can find the complete crash report here(rtf file): crash report

The Pipeline Tool got a grand rewrite since 3.5 and the Mac version isn’t completely right yet. It didn’t work at all before https://github.com/MonoGame/MonoGame/pull/4904 was merged a few days ago. I think you’re running into the same issue as people that tried that PR. @cra0zy?

Look at the version number -_-, it has nothing to do with my PR.

Oh, sorry about that… @Fox9 Try upgrading to a newer version. 3.5 should work.

Where can I download a newer version?
In the “MonoGame Downloads” section is just this old 3.3 version.

http://www.monogame.net/downloads/

http://www.monogame.net/2016/03/17/monogame-3-5/

Out of curiosity, what page where you looking on?

It works now with MonoGame 3.5 for MacOS from: http://www.monogame.net/2016/03/17/monogame-3-5/

Previously, I had downloaded the development build located on this site: http://www.monogame.net/downloads/

Hmm, weird that the version was reported as 3.3… It should have been 3.6